aboutsummaryrefslogtreecommitdiff
path: root/test/suites/invalid-unicode/run
diff options
context:
space:
mode:
Diffstat (limited to 'test/suites/invalid-unicode/run')
-rwxr-xr-xtest/suites/invalid-unicode/run11
1 files changed, 3 insertions, 8 deletions
diff --git a/test/suites/invalid-unicode/run b/test/suites/invalid-unicode/run
index 369c43d..5b542a4 100755
--- a/test/suites/invalid-unicode/run
+++ b/test/suites/invalid-unicode/run
@@ -10,18 +10,13 @@ is_test() {
}
run_test() {
- $json_process --env <$test_path/input >$test_log/stdout 2>$test_log/stderr
- valgrind_check $test_log/stderr || return 1
- cmp -s $test_path/error $test_log/stderr
+ $json_process $test_path >$test_log/stdout 2>$test_log/stderr || return 1
+ valgrind_check $test_log/stderr$s || return 1
}
show_error() {
valgrind_show_error && return
-
- echo "EXPECTED ERROR:"
- nl -bn $test_path/error
- echo "ACTUAL ERROR:"
- nl -bn $test_log/stderr
+ cat $test_log/stderr
}
. $top_srcdir/test/scripts/run-tests.sh